eslint-plugin-no-extension-in-require

A plugin for ESLint that ensures that the path argument to `require` does not include the '.js' extension

Downloads in past

Stats

StarsIssuesVersionUpdatedCreatedSize
eslint-plugin-no-extension-in-require
200.2.08 years ago8 years agoMinified + gzip package size for eslint-plugin-no-extension-in-require in KB

Readme

Usage
To use this plugin with ESLint:
  1. Ensure the plugin is loaded, e.g. by adding the following to your .eslintrc file:

"plugins": [
  "no-extension-in-require"
]

  1. Enable the rule in your ESLint configuration, e.g.:

"rules": {
  "no-extension-in-require/main": 2
}

See the ESLint documentation for more information.